{% extends "base.html" %}

{% block page_content %}
<div class="my-3">
    <h3>> i am alexander.</h3>
    <h3>> i studied philosophy and literature.</h3>
    <h3>> i also code.</h3>
</div>

<hr style="border-width: 4px">

<div class="row">
{% for project in projects %}
    <div class="col-md-4">
        <div class="card mb-2">
            {% if project.image %}
                <img class="card-img-top" src="{{ project.image.url }}">
            {% endif %}
            <div class="card-body">
                <h5 class="card-title">{{ project.title }}</h5>
                <h6 class="card-tech">{{ project.technology }}</h6>
                <p class="card-text">{{ project.description|slice:":150"|truncatechars:"" }}...</p>
                {% if project.description %}
                    <a href="{% url 'project_detail' project.slug %}" class="akki_btn akki_btn_green">
                        details
                    </a>
                {% endif %}
                {% if project.gitrepo %}
                    <a href="{{ project.gitrepo }}" class="akki_btn akki_btn_green" target="_blank">
                        github
                    </a>
                {% endif %}
                {% if project.livelink %}
                    <a href="{{ project.livelink }}" class="akki_btn akki_btn_green" target="_blank">
                        live
                    </a>
                {% endif %}
            </div>
        </div>
    </div>
    {% endfor %}
</div>

<hr style="border-width: 4px">

<div class="my-3">
        <h3>> latest update: 5/2024 <span class="cursor"></span></h3>
</div>

{% endblock %}
